org.apache.hc.client5.http.async.methods

## Class IgnoreCompleteExceptonFutureCallback<T>

- java.lang.Object
- - org.apache.hc.client5.http.async.methods.IgnoreCompleteExceptonFutureCallback<T>

All Implemented Interfaces:
  org.apache.hc.core5.concurrent.FutureCallback<T>

    public class IgnoreCompleteExceptonFutureCallback<T>
    extends Object
    implements org.apache.hc.core5.concurrent.FutureCallback<T>

### Constructor Summary

Constructors
Constructor and Description
`IgnoreCompleteExceptonFutureCallback(org.apache.hc.core5.concurrent.FutureCallback<T> callback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancelled()`
`void` `completed(T result)`
`void` `failed(Exception ex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgnoreCompleteExceptonFutureCallback

    public IgnoreCompleteExceptonFutureCallback(org.apache.hc.core5.concurrent.FutureCallback<T> callback)

### Method Detail

#### completed

    public void completed(T result)

Specified by:
  `completed` in interface `org.apache.hc.core5.concurrent.FutureCallback<T>`

#### failed

    public void failed(Exception ex)

Specified by:
  `failed` in interface `org.apache.hc.core5.concurrent.FutureCallback<T>`

#### cancelled

    public void cancelled()

Specified by:
  `cancelled` in interface `org.apache.hc.core5.concurrent.FutureCallback<T>`